<div class="wrap easypoint-help-wrap">
    <h1><?php esc_html_e( 'EasyPoint Help', 'easypoint' ) ?></h1>

    <div class="welcome-panel">
        <div class="welcome-panel-content">
            <h2><?php esc_html_e( 'Welcome!', 'easypoint' ) ?>  </h2>
            <p class="about-description">
                <?php echo wp_kses_post( 'We are always here to help you. For any query or information, please visit <a href="https://themes.salttechno.com/" target="_blank">our website.</a>', 'easypoint' ); ?>
            </p>
            <div class="welcome-panel-column-container">
                <div class="welcome-panel-column">
                    <h3><?php esc_html_e( 'Get Started', 'easypoint' ) ?></h3>
                    <div>
                        <a class="button button-primary button-hero" href="https://themes.salttechno.com/wordpress-theme/easypoint/" target="_blank"><?php esc_html_e( 'Theme Homepage', 'easypoint' ) ?></a>
                        <a class="button button-hero" href="https://easypoint.salttechno.website/" target="_blank"><?php esc_html_e( 'Live Demo', 'easypoint' ) ?></a>
                    </div>

                    <div class="cp-mb-2" style="margin-bottom: 25px;">
                        <h3><?php esc_html_e( 'Rate Us', 'easypoint' ) ?></h3>
                        <p>
                            <?php esc_html_e( 'If you like our theme and support, please rate us 5 star on WordPress.org.', 'easypoint') ?>
                        </p>
                        <a class="button button-primary" href="https://wordpress.org/support/theme/easypoint/reviews/#new-post" target="_blank"><?php esc_html_e( 'Rate us 5 star', 'easypoint' ) ?></a>
                        <a class="button" href="https://wordpress.org/support/theme/easypoint" target="_blank"><?php esc_html_e( 'Report a problem', 'easypoint' ) ?></a>
                    </div>

                </div>
                <!-- /.welcome-panel-column -->

                <div class="welcome-panel-column welcome-panel-last" style="width: 60%;">

                    <h3><?php esc_html_e( 'Video Tutorials', 'easypoint' ) ?></h3>
                    <div class="cp-mb-2"  style="margin-bottom: 25px;">
                        <ul>
                            <li><a class="" href="https://themes.salttechno.com/2018/04/how-to-setup-your-website-quickly-using-easypoint/" target="_blank"><?php esc_html_e( 'How to setup your website quickly using "EasyPoint"?', 'easypoint' ) ?></a></li>
                            <li><a class="" href="https://themes.salttechno.com/2018/04/how-to-add-good-looking-icon-boxes-to-your-static-front-page/" target="_blank"><?php esc_html_e( 'How to add good looking icon boxes to your static front-page?', 'easypoint' ) ?></a></li>
                        </ul>
                    </div>

                    <h3><?php esc_html_e( 'We are giving away pro version for free!', 'easypoint' ); ?></h3>
                    <div class="cp-mb-2"  style="margin-bottom: 25px;">
                        <p>
                            <?php esc_html_e( 'If you are today\'s lucky user, we can win a free upgrade to the pro version.', 'easypoint' ); ?>
                        </p>
                        <a class="button button-primary" href="https://themes.salttechno.com/easypoint-pro-free-upgrade/" target="_blank"><?php esc_html_e( 'I want to Participate', 'easypoint' ) ?></a>
                    </div>

                </div>
                <!-- /.welcome-panel-column welcome-panel-last -->
            </div>
            <!-- /.welcome-panel-column-container -->
        </div>
        <!-- /.welcome-panel-content -->
    </div>
    <!-- /.welcome-panel -->

    <div class="welcome-panel">
        <div class="welcome-panel-content" style="margin-bottom: 25px;">
            <h2><?php esc_html_e( 'Upgrade to premium version!', 'easypoint' ) ?>  </h2>
            <p class="about-description">
                <?php echo wp_kses_post( 'Let\'s make your website better with pro version of the theme.', 'easypoint' ) ?>
            </p>

            <?php
                echo wp_kses_post( __( '
                <ol>
                    <li><strong>Add slider on homepage</strong> - With the pro version of the theme, you will be able to add slider on the homepage. You can edit slides easily as per your choice.</li>
                    <li><strong>Choose any of the Google fonts</strong> - You can improve typography of your website by choosing any of the Google fonts for your theme.</li>
                    <li><strong>Premium Support</strong> - Anything related to our theme or your WordPress requirements, just reach out to us quickly using our ticketing system.</li>
                    <li><strong>More Customization Options</strong> - Pro version takes customization to the next level.</li>
                    <li><strong>Get control over footer text</strong> - You can remove the theme credit link from the footer easily.</li>
                    <li><strong>Add featured pages on the front-page</strong> - You can add up to 3 pages on the front-page as featured pages. This makes it easy for users to navigate to important pages. </li>
                    <li><strong>Improved Performance</strong></li>
                    <li>and much more...</li>
                </ol>
                ', 'easypoint') );
            ?>

            <div>
                <a class="button button-primary button-hero" href="https://themes.salttechno.com/wordpress-theme/easypoint-pro/" target="_blank"><?php esc_html_e( 'Know More', 'easypoint' ) ?></a>
            </div>

        </div>
        <!-- /.welcome-panel-content -->
    </div>
    <!-- /.welcome-panel -->

</div>
